## 2017-09-08 - Release 3.0.1

Bugfix release fixing an issue whereas database updates where not run as the configured process user but `root` instead.

## 2016-03-23 - Release 3.0.0
### Summary

Upgrade Drush from 6.6.0 to 8.0.5 ([issue #9](https://github.com/tohuwabohu/puppet-drupal/issues/9)). This adds support
for Drupal 8.

**Breaking change:** Drush 8 dropped support for PHP 5.3, please ensure at least PHP 5.4 is installed.

#### Improvements

Beginning with version 8.x the Drush project started to publish Drush as a
[phar archive](https://secure.php.net/manual/en/intro.phar.php). This archive contains all necessary dependencies in one
file and makes the usage of composer redundant. To ensure file integrity the checksum is verified post download.

As a result the dependency on [willdurand/composer](https://forge.puppetlabs.com/willdurand/composer) has been dropped
and code like the `cache_dir` parameter has been removed.

On top of that the `drush_archive_md5sum` parameter has been replaced with `drush_archive_checksum` and
`drush_archive_checksum_type`, the default checksum type is now `SHA256`.

## 2016-03-21 - Release 2.0.0
### Summary

**Breaking change:** The module will no longer manage the [composer](https://getcomposer.org/) installation. Instead it
will rely on the [willdurand/composer](https://forge.puppetlabs.com/willdurand/composer) module.

As a consequence, a couple of parameters have been removed from the `drupal` class:

* `curl_package_name`
* `php_cli_package_name`
* `composer_installer_url`
* `composer_path`

If you've used one of the parameters in your Puppet configuration please remove them before upgrading or consider
tweaking the `composer` class.

#### Bugfix

* Installation of composer fails due to missing HOME environment variable ([issue #6](https://github.com/tohuwabohu/puppet-drupal/issues/6))

#### Improvements

* Replace [ripienaar/module_data](https://forge.puppetlabs.com/ripienaar/module_data) with `params.pp`; the module is
  unlikly to work with Puppet 4 (see [Native Puppet 4 Data in Modules](https://www.devco.net/archives/2016/01/08/native-puppet-4-data-in-modules.php))
  and in order to not break Puppet 3 support it is easier to just stick with a simple `params.pp` for the moment

Further more, the test infrastructure has been overhauled:

* Bump gem dependencies to the latest version
* Bump Puppet module dependencies to the latest version
* Update travis test matrix and add support for Puppet 4
* Replace VirtualBox with Docker for acceptance tests
* Remove Debian 6 which is no longer officially supported; Debian 8 has been added instead

## 2015-11-29 - Release 1.2.1
### Summary

Setting up a site from scratch will no longer fail the Puppet run
([issue #3](https://github.com/tohuwabohu/puppet-drupal/issues/3)). The pending database updates are now only applied
if the site has been fully set up.

Puppet-specific limitations caused by the usage of the archive module have been documented as well
([issue #4](https://github.com/tohuwabohu/puppet-drupal/issues/4)).

## 2015-05-17 - Release 1.2.0
### Summary

* E-mails generated by the drush cron command now contain the correct link to the Drupal site, not just `http://default/`.
* Update to Drush 6.6.0
* Update Vagrant boxes (used for acceptance tests only)

## 2015-02-21 - Release 1.1.0
### Summary

* The Drupal site is put into maintenance mode before outstanding database updates are applied
* Workaround suhosin blocking composer execution on Debian 6
* Support Ubuntu 12.04 and 14.04

## 2015-02-01 - Release 1.0.0
### Summary

Initial release.

* Install composer and Drupal drush to do all the heavy-lifting
* Configure a Drupal site based on the configured modules, themes and libraries
* Set up a cron job to run the Drupal cron once an hour
